package com.tidecloud.dataacceptance.schedule;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.smartsanitation.common.util.ConnectException;
import com.smartsanitation.common.util.RequestUtil;
import com.tidecloud.dataacceptance.service.impl.DiscardServerHandler;

import io.netty.channel.Channel;

/**   
 * @author: chudk 
 * @date:   2017年10月17日 下午5:51:53   
 */
@Component
public class DeviceControlSchedule {

    private static final Logger logger = LoggerFactory.getLogger(DeviceControlSchedule.class);
    
    @Scheduled(cron = "0 0 10 * * ?")
    public void settingUploadTime(){
        Map<String, Channel> commandCopy = DiscardServerHandler.manageChannelMap;
        Map<String, Object> param = new HashMap<>();
        String result = null;
        if (!commandCopy.isEmpty()) {
            Set<String> socketIds = commandCopy.keySet();
            for (String socketId : socketIds) {
                try {
                    param.put("socketId", socketId);
                    param.put("commandStr", "[3g*"+ 918196626 +"*0009*UPLOAD,10]");
                    result = RequestUtil.doGet("localhost:7009/setting/uploadtime", param);
                } catch (ConnectException e) {
                    logger.info(e.getLocalizedMessage());
                }
            }
        }
        logger.info(result);
    }
    
}
