package com.tidecloud.dataacceptance.web;

import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.smartsanitation.common.response.ResultWrapper;
import com.tidecloud.dataacceptance.response.CommandCopy;
import com.tidecloud.dataacceptance.service.impl.DiscardServerHandler;

import io.netty.channel.Channel;

/**   
 * @author: chudk 
 * @date:   2017年9月28日 上午11:14:50   
 */
@RestController
public class WatchController {
    
    private static final Logger logger = LoggerFactory.getLogger(WatchController.class);
    
    @RequestMapping(value = "setting/uploadtime")
    public ResultWrapper<CommandCopy> sendCommand2Device(@RequestParam String commandStr, 
                                                         @RequestParam String socketId){
        Map<String, Channel> channelMap = DiscardServerHandler.manageChannelMap;
        if (channelMap.isEmpty()) {
            return ResultWrapper.ok(new CommandCopy());
        }
        Channel channel = channelMap.get(socketId);
        try {
            channel.writeAndFlush(commandStr);
        } catch (Exception e) {
            logger.error(e.getLocalizedMessage());
        }
        return null;
    }
}
